Package ghidra.pcode.exec

# Class BytesPcodeExecutorState

java.lang.Object
ghidra.pcode.exec.DefaultPcodeExecutorState<byte[]>
ghidra.pcode.exec.BytesPcodeExecutorState

All Implemented Interfaces:
  `PcodeExecutorState<byte[]>`, `PcodeExecutorStatePiece<byte[],byte[]>`

public class BytesPcodeExecutorState extends DefaultPcodeExecutorState<byte[]>
A state composing a single `BytesPcodeExecutorStatePiece`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface ghidra.pcode.exec.PcodeExecutorStatePiece

  `PcodeExecutorStatePiece.Reason`

- ## Field Summary

  ### Fields inherited from class ghidra.pcode.exec.DefaultPcodeExecutorState

  `arithmetic, piece`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BytesPcodeExecutorState(PcodeExecutorStatePiece<byte[],byte[]> piece)`
  ``
  `BytesPcodeExecutorState(Language language)`
  Create the state

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BytesPcodeExecutorState`
  `fork()`
  Create a deep copy of this state

  ### Methods inherited from class ghidra.pcode.exec.DefaultPcodeExecutorState

  `clear, getArithmetic, getConcreteBuffer, getLanguage, getRegisterValues, getVar, getVar, setVar, setVar`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.pcode.exec.PcodeExecutorState

  `getAddressArithmetic, paired`

  ### Methods inherited from interface ghidra.pcode.exec.PcodeExecutorStatePiece

  `checkRange, getVar, getVar, getVar, quantizeOffset, setVar, setVar, setVar`

- ## Constructor Details

  - ### BytesPcodeExecutorState

    public BytesPcodeExecutorState(Language language)
    Create the state
    Parameters:
      `language` - the language (processor model)

  - ### BytesPcodeExecutorState

    protected BytesPcodeExecutorState(PcodeExecutorStatePiece<byte[],byte[]> piece)

- ## Method Details

  - ### fork

    public BytesPcodeExecutorState fork()
    Description copied from interface: `PcodeExecutorStatePiece`
    Create a deep copy of this state
    Specified by:
      `fork` in interface `PcodeExecutorState<byte[]>`
    Specified by:
      `fork` in interface `PcodeExecutorStatePiece<byte[],byte[]>`
    Overrides:
      `fork` in class `DefaultPcodeExecutorState<byte[]>`
    Returns:
      the copy